View Issue Details

IDProjectCategoryView StatusLast Update
0002963GNUnetset servicepublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToFlorian Dold 
PriorityurgentSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002963: Jul 22 20:22:45-582528 dv-28437 ERROR Assertion failed at set_api.c:545.
DescriptionReproducable by running 'make check' in src/dv/.
TagsNo tags attached.

Relationships

child of 0002956 closedChristian Grothoff Jul 22 10:26:45-523995 mesh-27110 ERROR Assertion failed at gnunet-service-mesh.c:1252. 
child of 0001795 confirmed DV is not implemented 

Activities

Florian Dold

2013-07-22 21:35

developer   ~0007270

Last edited: 2013-07-22 21:35

View 2 revisions

There was an (undocumented) assumption in the API that operations are automatically freed once done or failed, calling GNUNET_SET_operation_cancel causes the assertion.

DV cancels the operation after receiving GNUNET_SET_STATUS_DONE, which triggers the assertions.

Do you think the behavior should be changed, or only documented?

Florian Dold

2013-07-22 21:36

developer   ~0007271

IMHO 'cancel' intuitively implies that the operation is still in progress, which is not the case with any other status than GNUNET_SET_STATUS_OK.

Christian Grothoff

2013-07-24 14:14

manager   ~0007294

Fixed in SVN 28298.

Issue History

Date Modified Username Field Change
2013-07-22 20:50 Christian Grothoff New Issue
2013-07-22 20:50 Christian Grothoff Status new => assigned
2013-07-22 20:50 Christian Grothoff Assigned To => Florian Dold
2013-07-22 20:51 Christian Grothoff Relationship added child of 0002956
2013-07-22 20:54 Christian Grothoff Relationship added child of 0001795
2013-07-22 21:35 Florian Dold Note Added: 0007270
2013-07-22 21:35 Florian Dold Note Edited: 0007270 View Revisions
2013-07-22 21:36 Florian Dold Note Added: 0007271
2013-07-23 23:58 Florian Dold Status assigned => feedback
2013-07-24 14:14 Christian Grothoff Note Added: 0007294
2013-07-24 14:14 Christian Grothoff Status feedback => assigned
2013-07-24 14:14 Christian Grothoff Status assigned => resolved
2013-07-24 14:14 Christian Grothoff Fixed in Version => 0.10.0
2013-07-24 14:14 Christian Grothoff Resolution open => fixed
2013-12-24 20:54 Christian Grothoff Status resolved => closed